Name: libgal2
Version: 1.99.10
Release: 1
Summary: The GNOME Application Library
Group: System Environment/Libraries
Epoch: 2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gal/1.99/gal-%{version}.tar.gz
BuildRequires: libxml2-devel
BuildRequires: libgnomeprint22-devel >= 2.2.0
BuildRequires: libgnomeprintui22-devel >= 2.2.1
BuildRequires: libglade2-devel >= 2.0
BuildRequires: libgnomecanvas-devel >= 2.2.0.2
BuildRequires: gtk2-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
Requires: libgnomecanvas >= 2.2.0.2-1

%description
A collection of GNOME widgets and utility functions.

%package devel
Summary: Development files for the GNOME Applications library
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}
Requires: libgnomeprint22-devel, libgnomeprintui22-devel, libglade2-devel
Requires: libgnomecanvas-devel, libgnomeui-devel

%description devel
Development files for the GNOME Applications library

%prep
%setup -q -n gal-%{version}

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang gal-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gal-%{version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README
%{_datadir}/gal-2.0
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.10-1
- 1.99.10

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.9-3.1
- fix for multi-level sorting (#103997)

* Wed Aug  6 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.9-3
- include the symlink that ldconfig will create (#101764)

* Sun Aug  3 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.9-1
- 1.99.9

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.8-1
- 1.99.8

* Tue Jun 10 2003 Jeremy Katz <katzj@redhat.com> 
- update libgnomecanvas-devel buildrequirement

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.7-2
- rebuild

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.7-1
- 1.99.7

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.6-3
- rebuild

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.6-2
- rebuild to fix deps

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.6-1
- make libtool=/usr/bin/libtool

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.6-1
- 1.99.6

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.4-1
- 1.99.4

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 2:1.99.3-1
- update to 1.99.3
- change package name

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1:0.24-1
- update to 0.24 and the fun of new abi

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1:0.23-1
- update to 0.23
- fix epoch on dependencies (#74571)
- include more of the deps for the -devel package (#58040)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.22-1
- update to 0.22

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 0.21-2
- rebuild for fixed X11 libdir path

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 0.21-1
- update to 0.21

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 0.20.1-1
- update to 0.20.1
- remove files not being installed from build root

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.20-1
- update to 0.20

* Tue Jul 09 2002 Karsten Hopp <karsten@redhat.de> 0.19.2-4
- added missing BuildRequires (#68204)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com>
- update to gal 0.19.2

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com>
- include patch to not show popups if the entry doesn't have focus

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gal 0.19.1

* Wed Feb 27 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- fix a /usr/share -> datadir issue

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com>
- include translations (#58291) and other non-included files

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- 0.19

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- 0.18.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- 0.18

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.13
- add libgal.so.13.0.0 to file list

* Tue Jul 24 2001 Alexander Larsson <alexl@redhat.com>
- Fix libgal-broken.patch to not link libgal.so to -lgal.

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Add build requirements.

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix .la buildroot dainbramage
- fix library dependency dainbramage

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- gal-devel requires libgal7 (otherwise libgal.so symlink is dangling)
- fix gnomeprint requirement

* Fri Jun  8 2001 Jonathan Blandford <jrb@redhat.com>
- New version
- Upgrade library

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- de-helixify spec file
- fix vendor/distribution
